#ifndef _X32_H
#define _X32_H
/*
 * Copyright 01 Feb 1995 Sun Microsystems, Inc. All Rights Reserved
 * Copyright (c) 1993 Spider Systems Limited
 *
 * This Source Code is furnished under Licence, and may not be
 * copied or distributed without express written agreement.
 *
 * All rights reserved.  Made in Scotland.
 *
 * Authors: Alan Robertson, Peter Woodhouse, Duncan Walker, Jim Stewart
 *
 */

/*
 * X.32 - Codes for elements type identifiers
 */
#define IDENTITY_ETI		0xCC
#define SIGNATURE_ETI		0xCD
#define DIAG_ETI		0x07

/*
 * X.32 - Defines which elements should be in packet/frame
 */
#define NO_ELEMENT		0x00
#define IDENTITY_ELEMENT	0x01
#define DIAG_ELEMENT		0x02
#define ERROR_DIAG_ELEMENT	0x04

#endif
